<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Realizar Pedido</title>
    <link rel="stylesheet" href="orderStyles.css">
</head>
<body>
<header>
    <h1>Realizar Pedido</h1>
</header>

<div class="container">
    <div class="campos">
        <select id="tipoPedido">
            <option value="selecione" >Selecione um tipo de pedido</option>
            <option value="RESTAURANT">Restaurante</option>
            <option value="APP">App</option>
        </select>

        <select id="amigos" onchange="habilitarProduto()">
            <option value="selecione" disabled selected>Selecione um amigo</option>
        </select>

        <select id="produtos" disabled>
            <option value="selecione" disabled selected>Selecione um produto</option>
        </select>

        <select id="tipoDesconto">
            <option value="selecione" >Selecione um tipo de desconto</option>
            <option value="CASH">Dinheiro</option>
            <option value="PERCENT">Porcentagem</option>
        </select>

        <input type="number" id="valorDesconto" placeholder="Digite o valor do desconto" min="0">
        <input type="number" id="taxaServico" placeholder="Digite o valor da taxa" min="0">

        <button onclick="adicionarPedido()">Adicionar Pedido</button>
        <button onclick="enviarPedido()">Enviar Pedido</button>
    </div>
</div>

<div id="containerResultado"></div>

<div class="tabela">
    <table id="tabelaPedidos">
        <thead>
        <tr>
            <th>Amigo</th>
            <th>Produto</th>
        </tr>
        </thead>
    </table>
</div>

<footer>
    <p>© 2024 Divisão de Contas. Todos os direitos reservados.</p>
</footer>

<script src="orderScript.js"></script>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        // Chama a função fetchProducts ao iniciar a página
        fetchProducts();
        fetchUsers();
    });

    var inputElement = document.getElementById('valorDesconto');

    inputElement.addEventListener('input', function() {
        descontoChange(inputElement.value);
    });

    var taxaElement = document.getElementById('taxaServico');

    taxaElement.addEventListener('input', function() {
        taxaDeServicoChange(taxaElement.value);
    });
</script>

</body>
</html>
